> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Safelist

> Add a player to your personal safelist



## OpenAPI

````yaml https://api.seraph.si/json get /{player}/safelist
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /{player}/safelist:
    get:
      tags:
        - API
      summary: Safelist
      description: Add a player to your personal safelist
      parameters:
        - description: Player UUID to fetch
          in: path
          name: player
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.SafelistEndpoint'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad Request
components:
  schemas:
    routes.SafelistEndpoint:
      properties:
        code:
          type: integer
        msTime:
          type: integer
        safelist:
          properties:
            uuid:
              type: string
            valid:
              type: boolean
          type: object
        success:
          type: boolean
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````